using System;

public class Sample {
  public delegate int Converter(int amount);
  
  private Converter converter;

  public void AddConverter(Converter aConverter) {
    converter += aConverter;
  }
  
  public static int converter1(int amount) {
    Console.WriteLine("converter1");
    return amount * 2;
  }

  public static int converter2(int amount) {
    Console.WriteLine("converter2");
    return amount * 2 - 10;
  }

  public void Convert() {
    converter(100);
  }
    
  public static void Main(string[] args) {
    Sample sample = new Sample();
    
    sample.AddConverter(new Converter(converter1));
    sample.Convert();

    sample.AddConverter(new Converter(converter2));
    sample.Convert();
  }
}