using System;

public class Sample {
  public static int totalValues(int[] numbers, Func<int, bool> selector) {
    int total = 0;
    foreach(var number in numbers) {
      if (selector(number)) total += number;
    }
    return total;
  }
  
  public static void Main(string[] args) {
    Console.WriteLine(totalValues(new int[] {1, 2, 3, 4, 5}, (int number) => true));    
    Console.WriteLine(totalValues(new int[] {1, 2, 3, 4, 5}, (int number) => number % 2 == 0));    
    Console.WriteLine(totalValues(new int[] {1, 2, 3, 4, 5}, (int number) => number % 2 != 0));    
    Console.WriteLine(totalValues(new int[] {1, 2, 3, 4, 5}, (int number) => number > 4));    
  }
}